//+------------------------------------------------------------------+
//|                                                                  
//|                       All time_possible hi_lo.mq4                                               
//|                                                                  
//+------------------------------------------------------------------+

#property indicator_chart_window
#property link "/ jain.ramzamma@gmail.com/"

   extern bool Use_Sunday_Data   = False;
   extern bool Daily             = True;
   extern bool Daily_HiLo_Levels   = True;
   extern bool Weekly            = True;
   extern bool Weekly_HiLo_Levels  = true;
   extern bool Monthly           = true;
   extern bool Monthly_HiLo_Levels = true;
   
extern double D_label_pos=1;
extern double W_label_pos=1.5;
extern double M_label_pos=2;

extern int hi_line_type=2;
extern int lo_line_type=2;
extern int fractionpoint_line_type=1;
extern int fhi_line_type=2;
extern int flo_line_type=2;

extern int hi_width=1;
extern int lo_width=1;
extern int fractionpoint_width=1;
extern int fhi_width=1;
extern int flo_width=1;

extern string Daily_Colors;   
   extern color cdfractionpoint=Magenta;
   extern color cdlo1=LimeGreen;
   extern color cdlo2=LimeGreen;
   extern color cdlo3=LimeGreen;
   extern color cdflo=Turquoise;
   extern color cdhi1=DarkOrange;
   extern color cdhi2=DarkOrange;
   extern color cdhi3=DarkOrange;
   extern color cdfhi=Coral;
extern string Weekly_Colors; 
   extern color cwfractionpoint=Violet;
   extern color cwlo1=Green;
   extern color cwlo2=Green;
   extern color cwlo3=Green;
   extern color cwflo=MediumTurquoise;
   extern color cwhi1=Red;
   extern color cwhi2=Red;
   extern color cwhi3=Red;
   extern color cwfhi=LightCoral;

extern string Monthly_Colors;   
   extern color cmfractionpoint=Blue;
   extern color cmlo1=DarkGreen;
   extern color cmlo2=DarkGreen;
   extern color cmlo3=DarkGreen;
   extern color cmflo=DarkTurquoise; 
   extern color cmhi1=FireBrick;
   extern color cmhi2=FireBrick;
   extern color cmhi3=FireBrick;
   extern color cmfhi=Tomato;   

   double YesterdayHigh;
   double YesterdayLow;
   double YesterdayClose;
   double TodayOpen;
   double Day_Price[][6];
   double FractionPoint,Lo1,Lo2,Lo3,FLo,Hi1,Hi2,Hi3,FHi;
      
   double WeekHigh;
   double WeekLow;
   double WeekClose;
   double WeekOpen;
   double Weekly_Price[][6];
   double WeekFractionPoint,WLo1,WLo2,WLo3,WFLo,WHi1,WHi2,WHi3,WFHi;
   
   double MonthHigh;
   double MonthLow;
   double MonthClose;
   double MonthOpen;
   double Month_Price[][6];
   double MonthFractionPoint,MLo1,MLo2,MLo3,MFLo,MHi1,MHi2,MHi3,MFHi;
   
int init()
  {
   return(0);
  }
  
//-------------------------------------------------------- 
  
int deinit()
  {
ObjectDelete("FractionPointLine");
ObjectDelete("Hi1_Line");
ObjectDelete("Hi2_Line");
ObjectDelete("Hi3_Line");
ObjectDelete("FHi_Line");
ObjectDelete("Lo1_Line");
ObjectDelete("Lo2_Line");
ObjectDelete("Lo3_Line");  
ObjectDelete("FLo_Line"); 
 

//--------------------------------

ObjectDelete("FractionPointLabel");
ObjectDelete("Hi1_Label");
ObjectDelete("Hi2_Label");
ObjectDelete("Hi3_Label");
ObjectDelete("FHi_Label");
ObjectDelete("Lo1_Label");
ObjectDelete("Lo2_Label");
ObjectDelete("Lo3_Label"); 
ObjectDelete("FLo_Label"); 
 


//--------------------------------------------------------

ObjectDelete("WeekFractionPointLine");
ObjectDelete("WHi1_Line");
ObjectDelete("WHi2_Line");
ObjectDelete("WHi3_Line");
ObjectDelete("WFHi_Line");
ObjectDelete("WLo1_Line");
ObjectDelete("WLo2_Line");
ObjectDelete("WLo3_Line");  
ObjectDelete("WFLo_Line");    

//--------------------------------

ObjectDelete("WeekFractionPointLabel");
ObjectDelete("WHi1_Label");
ObjectDelete("WHi2_Label");
ObjectDelete("WHi3_Label");
ObjectDelete("WFHi_Label");
ObjectDelete("WLo1_Label");
ObjectDelete("WLo2_Label");
ObjectDelete("WLo3_Label");  
ObjectDelete("WFLo_Label");


//--------------------------------------------------------

ObjectDelete("MonthFractionPointLine");
ObjectDelete("MHi1_Line");
ObjectDelete("MHi2_Line");
ObjectDelete("MHi3_Line");
ObjectDelete("MFHi_Line");
ObjectDelete("MLo1_Line");
ObjectDelete("MLo2_Line");
ObjectDelete("MLo3_Line");  
ObjectDelete("MFLo_Line");  
  
//--------------------------------

ObjectDelete("MonthFractionPointLabel");
ObjectDelete("MHi1_Label");
ObjectDelete("MHi2_Label");
ObjectDelete("MHi3_Label");
ObjectDelete("MFHi_Label");
ObjectDelete("MLo1_Label");
ObjectDelete("MLo2_Label");
ObjectDelete("MLo3_Label");
ObjectDelete("MFLo_Label");


return(0);
}
//--------------------------------------------------------- 

int start()
{

ArrayCopyRates(Day_Price,(Symbol()), 1440);

   YesterdayHigh  = Day_Price[1][3];
   YesterdayLow   = Day_Price[1][2];
   YesterdayClose = Day_Price[1][4];
   TodayOpen = Day_Price[1][5]
 
   FractionPoint = (((YesterdayHigh + YesterdayLow + YesterdayClose)*0.67) - YesterdayClose);
  
   FHi = FractionPoint - YesterdayLow;
   FLo = FractionPoint - YesterdayHigh;
   
   Hi1 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + YesterdayLow)/2) - YesterdayLow;
   Lo1 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + YesterdayLow)/2) - YesterdayHigh;

   Hi2 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + YesterdayHigh)/2) - YesterdayLow;
   Lo2 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + YesterdayHigh)/2) - YesterdayHigh;
   
   Hi3 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + ((YesterdayClose + TodayOpen)/2))/2) - YesterdayLow;
   Lo3 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + ((YesterdayClose + TodayOpen)/2))/2) - YesterdayHigh;
  
   
if (Use_Sunday_Data == false)
 {   
   while (DayOfWeek() == 1)
      {      
       YesterdayHigh  = Day_Price[2][3];
       YesterdayLow   = Day_Price[2][2];
       YesterdayClose = Day_Price[2][4];
       TodayOpen = Day_Price[2][5]
       
  FractionPoint = ((YesterdayHigh + YesterdayLow + YesterdayClose)*0.67) - YesterdayClose;
    
   FHi = FractionPoint - YesterdayLow;
   FLo = FractionPoint - YesterdayHigh;

   Hi1 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + YesterdayLow)/2) - YesterdayLow;
   Lo1 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + YesterdayLow)/2) - YesterdayHigh;

   Hi2 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + YesterdayHigh)/2) - YesterdayLow;
   Lo2 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + YesterdayHigh)/2) - YesterdayHigh;
   
   Hi3 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + ((YesterdayClose + TodayOpen)/2))/2) - YesterdayLow;
   Lo3 = ((YesterdayHigh + YesterdayLow + ((YesterdayClose + TodayOpen)/2) + ((YesterdayClose + TodayOpen)/2))/2) - YesterdayHigh;
  
   
       break;
      }
 }
  
//--------------------------------------------------------
//--------------------------------------------------------


ArrayCopyRates(Weekly_Price, Symbol(), 10080);

WeekHigh  = Weekly_Price[1][3];
WeekLow   = Weekly_Price[1][2];
WeekClose = Weekly_Price[1][4];
WeekOpen = Weekly_Price[1][5];


  WeekFractionPoint = ((WeekHigh + WeekLow + WeekClose)*0.67) - WeekClose;
 
   WFHi = WeekFractionPoint - WeekLow;
   WFLo = WeekFractionPoint - WeekHigh;

   WHi1 = ((WeekHigh + WeekLow + ((WeekClose + WeekOpen)/2) + WeekLow)/2) - WeekLow;
   WLo1 = ((WeekHigh + WeekLow + ((WeekClose + WeekOpen)/2) + WeekLow)/2) - WeekHigh;

   WHi2 = ((WeekHigh + WeekLow + ((WeekClose + WeekOpen)/2) + WeekHigh)/2) - WeekLow;
   WLo2 = ((WeekHigh + WeekLow + ((WeekClose + WeekOpen)/2) + WeekHigh)/2) - WeekHigh;
   
   WHi3 = ((WeekHigh + WeekLow + ((WeekClose + WeekOpen)/2) + ((WeekClose + WeekOpen)/2))/2) - WeekLow;
   WLo3 = ((WeekHigh + WeekLow + ((WeekClose + WeekOpen)/2) + ((WeekClose + WeekOpen)/2))/2) - WeekHigh;
  
   

//--------------------------------------------------------
//--------------------------------------------------------


ArrayCopyRates(Month_Price, Symbol(), 43200);

MonthHigh  = Month_Price[1][3];
MonthLow   = Month_Price[1][2];
MonthClose = Month_Price[1][4];
MonthOpen = Month_Price[1][5];

  MonthFractionPoint = ((MonthHigh + MonthLow + MonthClose)*0.67) - MonthClose;

    MFHi = MonthFractionPoint - MonthLow;
    MFLo = MonthFractionPoint - MonthHigh;

   MHi1 = ((MonthHigh + MonthLow + ((MonthClose + MonthOpen)/2) + MonthLow)/2) - MonthLow;
   MLo1 = ((MonthHigh + MonthLow + ((MonthClose + MonthOpen)/2) + MonthLow)/2) - MonthHigh;

   MHi2 = ((MonthHigh + MonthLow + ((MonthClose + MonthOpen)/2) + MonthHigh)/2) - MonthLow;
   MLo2 = ((MonthHigh + MonthLow + ((MonthClose + MonthOpen)/2) + MonthHigh)/2) - MonthHigh;
   
   MHi3 = ((MonthHigh + MonthLow + ((MonthClose + MonthOpen)/2) + ((MonthClose + MonthOpen)/2))/2) - MonthLow;
   MLo3 = ((MonthHigh + MonthLow + ((MonthClose + MonthOpen)/2) + ((MonthClose + MonthOpen)/2))/2) - MonthHigh;
  
  
//--------------------------------------------------------
datetime dopen=iTime(Symbol(),PERIOD_D1,0);

if (Daily==true)
 {
  TimeToStr(CurTime());
  ObjectCreate("FractionPointLine", OBJ_TREND, 0, dopen, FractionPoint, CurTime(), FractionPoint);
  ObjectSet("FractionPointLine", OBJPROP_COLOR, cdfractionpoint);
  ObjectSet("FractionPointLine", OBJPROP_STYLE, fractionpoint_line_type);
  ObjectSet("FractionPointLine", OBJPROP_WIDTH, fractionpoint_width);

 if(ObjectFind("FractionPointLabel") != 0)
  {
   ObjectCreate("FractionPoinLabel", OBJ_TEXT, 0, CurTime()+(240*60)*D_label_pos, FractionPoint);
   ObjectSetText("FractionPointLabel", ("D Fpoint- B/S "), 6, "Arial", cdfractionpoint);
  }
 else
  {
   ObjectMove("FractionPointLabel", 0, CurTime()+(240*60)*D_label_pos, FractionPoint);
  }
ObjectsRedraw();

//--------------------------------------------------------

if (Daily_HiLo_Levels==true)
 {
  ObjectCreate("Hi1_Line", OBJ_TREND,0, dopen, Hi1, CurTime(),Hi1);
  ObjectSet("Hi1_Line", OBJPROP_COLOR, cdhi1);
  ObjectSet("Hi1_Line", OBJPROP_STYLE, hi_line_type);
  ObjectSet("Hi1_Line", OBJPROP_WIDTH, hi_width);

 if(ObjectFind("Hi1_Label") != 0)
  {
   ObjectCreate("Hi1_Label", OBJ_TEXT, 0, CurTime()+(240*60)*D_label_pos, Hi1);
   ObjectSetText("Hi1_Label", "D  High(opn<cls)", 6, "Arial", cdhi1);
  }
 else
  {
   ObjectMove("Hi1_Label", 0, CurTime()+(240*60)*D_label_pos, Hi1);
  }

//--------------------------------------------------------

   ObjectCreate("Hi2_Line", OBJ_TREND,0, dopen, Hi2, CurTime(),Hi2);
   ObjectSet("Hi2_Line", OBJPROP_COLOR, cdhi2);
   ObjectSet("Hi2_Line", OBJPROP_STYLE, hi_line_type);
   ObjectSet("Hi2_Line", OBJPROP_WIDTH, hi_width);
 if(ObjectFind("Hi2_Label") != 0)
  {
   ObjectCreate("Hi2_Label", OBJ_TEXT, 0, CurTime()+(240*60)*D_label_pos, Hi2);
   ObjectSetText("Hi2_Label", "D High(opn>cls)", 6, "Arial", cdhi2);
  }
 else
  {
   ObjectMove("Hi2_Label", 0, CurTime()+(240*60)*D_label_pos, Hi2);
  }

//---------------------------------------------------------

   ObjectCreate("Hi3_Line", OBJ_TREND,0, dopen, Hi3, CurTime(),Hi3);
   ObjectSet("Hi3_Line", OBJPROP_COLOR, cdhi3);
   ObjectSet("Hi3_Line", OBJPROP_STYLE, hi_line_type);
   ObjectSet("Hi3_Line", OBJPROP_WIDTH, hi_width);

 if(ObjectFind("Hi3_Label") != 0)
  {
   ObjectCreate("Hi3_Label", OBJ_TEXT, 0, CurTime()+(240*60)*D_label_pos, Hi3);
   ObjectSetText("Hi3_Label", "D High(opn=cls)", 6, "Arial", cdhi3);
  }
 else
  {
   ObjectMove("Hi3_Label", 0, CurTime()+(240*60)*D_label_pos, Hi3);
  }

//---------------------------------------------------------

   ObjectCreate("Lo1_Line", OBJ_TREND,0, dopen, Lo1, CurTime(),Lo1);
   ObjectSet("Lo1_Line", OBJPROP_COLOR, cdlo1);
   ObjectSet("Lo1_Line", OBJPROP_STYLE, lo_line_type);
   ObjectSet("Lo1_Line", OBJPROP_WIDTH, lo_width);
 if(ObjectFind("Lo1_Label") != 0)
  {
   ObjectCreate("Lo1_Label", OBJ_TEXT, 0, CurTime()+(240*60)*D_label_pos, Lo1);
   ObjectSetText("Lo1_Label", "D Low(opn<cls)", 6, "Arial", cdlo1);
  }
 else
  {
   ObjectMove("Lo1_Label", 0, CurTime()+(240*60)*D_label_pos, Lo1);
  }

//---------------------------------------------------------

   ObjectCreate("Lo2_Line", OBJ_TREND,0, dopen, Lo2, CurTime(),Lo2);
   ObjectSet("Lo2_Line", OBJPROP_COLOR, cdlo2);
   ObjectSet("Lo2_Line", OBJPROP_STYLE, lo_line_type);
   ObjectSet("Lo2_Line", OBJPROP_WIDTH, lo_width);
 if(ObjectFind("Lo2_Label") != 0)
  {
   ObjectCreate("Lo2_Label", OBJ_TEXT, 0, CurTime()+(240*60)*D_label_pos, Lo2);
   ObjectSetText("Lo2_Label", "D Low(opn>cls)", 6, "Arial", cdlo2);
  }
 else
  {
   ObjectMove("Lo2_Label", 0, CurTime()+(240*60)*D_label_pos, Lo2);
  }

//---------------------------------------------------------

   ObjectCreate("Lo3_Line", OBJ_TREND,0, dopen, Lo3, CurTime(),Lo3);
   ObjectSet("Lo3_Line", OBJPROP_COLOR, cdlo3);
   ObjectSet("Lo3_Line", OBJPROP_STYLE, lo_line_type);
   ObjectSet("Lo3 _Line", OBJPROP_WIDTH, lo_width);
 if(ObjectFind("Lo3_Label") != 0)
  {
   ObjectCreate("Lo3_Label", OBJ_TEXT, 0, CurTime()+(240*60)*D_label_pos, Lo3);
   ObjectSetText("Lo3_Label", "D Low(opn=cls)", 6, "Arial", cdlo3);
  }
 else
  {
   ObjectMove("Lo3_Label", 0, CurTime()+(240*60)*D_label_pos, Lo3);
  }

//-----------------------------------------------------------
  ObjectCreate("FLo_Line", OBJ_TREND,0, dopen, FLo, CurTime(),FLo);
   ObjectSet("FLo_Line", OBJPROP_COLOR, cdflo);
   ObjectSet("FLo_Line", OBJPROP_STYLE, flo_line_type);
   ObjectSet("FLo _Line", OBJPROP_WIDTH, flo_width);
 if(ObjectFind("FLo_Label") != 0)
  {
   ObjectCreate("FLo_Label", OBJ_TEXT, 0, CurTime()+(240*60)*D_label_pos, FLo);
   ObjectSetText("FLo_Label", "D FractionLow", 6, "Arial", cdflo);
  }
 else
  {
   ObjectMove("FLo_Label", 0, CurTime()+(240*60)*D_label_pos, FLo);
  }

//--------------------------------------------------------------

  ObjectCreate("FHi_Line", OBJ_TREND,0, dopen, FHi, CurTime(),FHi);
   ObjectSet("FHi_Line", OBJPROP_COLOR, cdfhi);
   ObjectSet("FHi_Line", OBJPROP_STYLE, fhi_line_type);
   ObjectSet("FHi_Line", OBJPROP_WIDTH, fhi_width);
 if(ObjectFind("FHi_Label") != 0)
  {
   ObjectCreate("FHi_Label", OBJ_TEXT, 0, CurTime()+(240*60)*D_label_pos, FHi);
   ObjectSetText("FHi_Label", "D FractionHigh", 6, "Arial", cdfhi);
  }
 else
  {
   ObjectMove("FHi_Label", 0, CurTime()+(240*60)*D_label_pos, FHi);
  }
 }

ObjectsRedraw();
}

//---------------------------------------------------------
//---------------------------------------------------------
//---------------------------------------------------------
datetime wopen=iTime(Symbol(),PERIOD_W1,0);

if (Weekly==true)
 {
  ObjectCreate("WeekFractionPointLine", OBJ_TREND,0, wopen,WeekFractionPoint,CurTime(),WeekFractionPoint);
  ObjectSet("WeekFractionPoivotLine", OBJPROP_COLOR, cwfractionpoint);
  ObjectSet("WeekFractionPointLine", OBJPROP_STYLE, fractionpoint_line_type);
  ObjectSet("WeekFractionPointLine", OBJPROP_WIDTH, fractionpoint_width);
 if(ObjectFind("WeekFractionPointLabel") != 0)
  {
   ObjectCreate("WeekFractionPointLabel", OBJ_TEXT, 0, CurTime()+(240*60)*W_label_pos, WeekFractionPoint);
   ObjectSetText("WeekFractionPointLabel", "W Fpoint - B/S ", 6, "Arial", cwfractionpoint);
  }
 else
  {
   ObjectMove("WeekFractionPointLabel", 0, CurTime()+(240*60)*W_label_pos, WeekFractionPoint);
  }

//--------------------------------------------------------

if (Weekly_HiLo_Levels==true)
 {
  ObjectCreate("WHi1_Line", OBJ_TREND,0, wopen, WHi1, CurTime(),WHi1);
  ObjectSet("WHi1_Line", OBJPROP_COLOR, cwhi1);
  ObjectSet("WHi1_Line", OBJPROP_STYLE, hi_line_type);
  ObjectSet("WHi1_Line", OBJPROP_WIDTH, hi_width);
 if(ObjectFind("WHi1_Label") != 0)
  {
   ObjectCreate("WHi1_Label", OBJ_TEXT, 0, CurTime()+(240*60)*W_label_pos, WHi1);
   ObjectSetText("WHi1_Label", "W High(opn<cls)", 6, "Arial", cwhi1);
  }
 else
  {
   ObjectMove("WHi1_Label", 0, CurTime()+(240*60)*W_label_pos, WHi1);
  }

//--------------------------------------------------------

   ObjectCreate("WHi2_Line", OBJ_TREND,0, wopen,WHi2,CurTime(),WHi2);
   ObjectSet("WHi2_Line", OBJPROP_COLOR, cwhi2);
   ObjectSet("WHi2_Line", OBJPROP_STYLE, hi_line_type);
   ObjectSet("WHi2_Line", OBJPROP_WIDTH, hi_width);
 if(ObjectFind("WHi2_Label") != 0)
  {
   ObjectCreate("WHi2_Label", OBJ_TEXT, 0, CurTime()+(240*60)*W_label_pos, WHi2);
   ObjectSetText("WHi2_Label", " W High(opn>cls)", 6, "Arial", cwhi2);
  }
 else
  {
   ObjectMove("WHi2_Label", 0, CurTime()+(240*60)*W_label_pos, WHi2);
  }

//---------------------------------------------------------

   ObjectCreate("WHi3_Line", OBJ_TREND,0, wopen,WHi3, CurTime(),WHi3);
   ObjectSet("WHi3_Line", OBJPROP_COLOR, cwhi3);
   ObjectSet("WHi3_Line", OBJPROP_STYLE, hi_line_type);
   ObjectSet("WHi3_Line", OBJPROP_WIDTH, hi_width);
 if(ObjectFind("WHi3_Label") != 0)
  {
   ObjectCreate("WHi3_Label", OBJ_TEXT, 0, CurTime()+(240*60)*W_label_pos, WHi3);
   ObjectSetText("WHi3_Label", " W High(opn=cls)", 6, "Arial", cwhi3);
  }
 else
  {
   ObjectMove("WHi3_Label", 0, CurTime()+(240*60)*W_label_pos, WHi3);
  }

//---------------------------------------------------------

   ObjectCreate("WLo1_Line", OBJ_TREND,0, wopen,WLo1, CurTime(),WLo1);
   ObjectSet("WLo1_Line", OBJPROP_COLOR, cwlo1);
   ObjectSet("WLo1_Line", OBJPROP_STYLE, lo_line_type);
   ObjectSet("WLo1_Line", OBJPROP_WIDTH, lo_width);
 if(ObjectFind("WLo1_Label") != 0)
  {
   ObjectCreate("WLo1_Label", OBJ_TEXT, 0, CurTime()+(240*60)*W_label_pos, WLo1);
   ObjectSetText("WLo1_Label", "W Low(opn<cls)", 6, "Arial", cwlo1);
  }
 else
  {
   ObjectMove("WLo1_Label", 0, CurTime()+(240*60)*W_label_pos, WLo1);
  }

//---------------------------------------------------------

   ObjectCreate("WLo2_Line", OBJ_TREND,0, wopen,WLo2, CurTime(),WLo2);
   ObjectSet("WLo2_Line", OBJPROP_COLOR, cwlo2);
   ObjectSet("WLo2_Line", OBJPROP_STYLE, lo_line_type);
   ObjectSet("WLo2_Line", OBJPROP_WIDTH, lo_width);
 if(ObjectFind("WLo2_Label") != 0)
  {
   ObjectCreate("WLo2_Label", OBJ_TEXT, 0, CurTime()+(240*60)*W_label_pos, WLo2);
   ObjectSetText("WLo2_Label", "W Low(opn>cls)", 6, "Arial", cwlo2);
  }
 else
  {
   ObjectMove("WLo2_Label", 0, CurTime()+(240*60)*W_label_pos, WLo2);
  }

//---------------------------------------------------------

   ObjectCreate("WLo3_Line", OBJ_TREND,0, wopen,WLo3, CurTime(),WLo3);
   ObjectSet("WLo3_Line", OBJPROP_COLOR, cwlo3);
   ObjectSet("WLo3_Line", OBJPROP_STYLE, lo_line_type);
   ObjectSet("WLo3_Line", OBJPROP_WIDTH, lo_width);
 if(ObjectFind("WLo3_Label") != 0)
  {
   ObjectCreate("WLo3_Label", OBJ_TEXT, 0, CurTime()+(240*60)*W_label_pos, WLo3);
   ObjectSetText("WLo3_Label", "W Low(opn=cls)", 6, "Arial", cwlo3);
  }
 else
  {
   ObjectMove("WLo3_Label", 0, CurTime()+(240*60)*W_label_pos, WLo3);
  }

//-----------------------------------------------------------------
  ObjectCreate("WFLo_Line", OBJ_TREND,0, wopen, WFLo, CurTime(),WFLo);
   ObjectSet("WFLo_Line", OBJPROP_COLOR, cwflo);
   ObjectSet("WFLo_Line", OBJPROP_STYLE, flo_line_type);
   ObjectSet("WFLo_Line", OBJPROP_WIDTH, flo_width);
 if(ObjectFind("WFLo_Label") != 0)
  {
   ObjectCreate("WFLo_Label", OBJ_TEXT, 0, CurTime()+(240*60)*W_label_pos, WFLo);
   ObjectSetText("WFLo_Label", "W FractionLow", 6, "Arial", cwflo);
  }
 else
  {
   ObjectMove("WFLo_Label", 0, CurTime()+(240*60)*W_label_pos, WFLo);
  }

//--------------------------------------------------------------

  ObjectCreate("WFHi_Line", OBJ_TREND,0, wopen, WFHi, CurTime(),WFHi);
   ObjectSet("WFHi_Line", OBJPROP_COLOR, cwfhi);
   ObjectSet("WFHi_Line", OBJPROP_STYLE, fhi_line_type);
   ObjectSet("WFHi_Line", OBJPROP_WIDTH, fhi_width);
 if(ObjectFind("WFHi_Label") != 0)
  {
   ObjectCreate("WFHi_Label", OBJ_TEXT, 0, CurTime()+(240*60)*W_label_pos, WFHi);
   ObjectSetText("WFHi_Label", "W FractionHigh", 6, "Arial", cwfhi);
  }
 else
  {
   ObjectMove("WFHi_Label", 0, CurTime()+(240*60)*W_label_pos, WFHi);
  }
 }
}

//---------------------------------------------------------
//---------------------------------------------------------
//---------------------------------------------------------
datetime mopen=iTime(Symbol(),PERIOD_MN1,0);


if (Monthly==true)
 {
  ObjectCreate("MonthFractionPointLine", OBJ_TREND,0, mopen, MonthFractionPoint, CurTime(),MonthFractionPoint);
  ObjectSet("MonthFractionPointLine", OBJPROP_COLOR, cmfractionpoint);
  ObjectSet("MonthFractionPointLine", OBJPROP_STYLE, fractionpoint_line_type);
  ObjectSet("MonthFractionPointLine", OBJPROP_WIDTH, fractionpoint_width);
 if(ObjectFind("MonthFractionPointLabel") != 0)
  {
   ObjectCreate("MonthFractionPointLabel", OBJ_TEXT, 0, CurTime()+(240*60)*M_label_pos, MonthFractionPoint);
   ObjectSetText("MonthFractionPointLabel", "M Fpoint- B/S ", 6, "Arial", cmfractionpoint);
  }
 else
  {
   ObjectMove("MonthFractionPointLabel", 0, CurTime()+(240*60)*M_label_pos, MonthFractionPoint);
  }

//--------------------------------------------------------

if (Monthly_HiLo_Levels==true)
 {
  ObjectCreate("MHi1_Line", OBJ_TREND,0, mopen, MHi1, CurTime(),MHi1);
  ObjectSet("MHi1_Line", OBJPROP_COLOR, cmhi1);
  ObjectSet("MHi1_Line", OBJPROP_STYLE, hi_line_type);
  ObjectSet("MHi1_Line", OBJPROP_WIDTH, hi_width);
 if(ObjectFind("MHi1_Label") != 0)
  {
   ObjectCreate("MHi1_Label", OBJ_TEXT, 0, CurTime()+(240*60)*M_label_pos, MHi1);
   ObjectSetText("MHi1_Label", " M High(opn<cls)", 6, "Arial", cmhi1);
  }
 else
  {
   ObjectMove("MHi1_Label", 0, CurTime()+(240*60)*M_label_pos, MHi1);
  }

//--------------------------------------------------------

   ObjectCreate("MHi2_Line", OBJ_TREND,0, mopen, MHi2, CurTime(),MHi2);
   ObjectSet("MHi2_Line", OBJPROP_COLOR, cmhi2);
   ObjectSet("MHi2_Line", OBJPROP_STYLE, hi_line_type);
   ObjectSet("MHi2_Line", OBJPROP_WIDTH, hi_width);
 if(ObjectFind("MHi2_Label") != 0)
  {
   ObjectCreate("MHi2_Label", OBJ_TEXT, 0, CurTime()+(240*60)*M_label_pos, MHi2);
   ObjectSetText("MHi2_Label", " M High(opn>cls)", 6, "Arial", cmhi2);
  }
 else
  {
   ObjectMove("MHi2_Label", 0, CurTime()+(240*60)*M_label_pos, MHi2);
  }

//---------------------------------------------------------

   ObjectCreate("MHi3_Line", OBJ_TREND,0, mopen, MHi3, CurTime(),MHi3);
   ObjectSet("MHi3_Line", OBJPROP_COLOR, cmhi3);
   ObjectSet("MHi3_Line", OBJPROP_STYLE, hi_line_type);
   ObjectSet("MHi3_Line", OBJPROP_WIDTH, hi_width);
 if(ObjectFind("MHi3_Label") != 0)
  {
   ObjectCreate("MHi3_Label", OBJ_TEXT, 0, CurTime()+(240*60)*M_label_pos, MHi3);
   ObjectSetText("MHi3_Label", " M High(opn=cls)", 6, "Arial", cmhi3);
  }
 else
  {
   ObjectMove("MHi3_Label", 0, CurTime()+(240*60)*M_label_pos, MHi3);
  }

//---------------------------------------------------------

   ObjectCreate("MLo1_Line", OBJ_TREND,0, mopen, MLo1, CurTime(),MLo1);
   ObjectSet("MLo1_Line", OBJPROP_COLOR, cmlo1);
   ObjectSet("MLo1_Line", OBJPROP_STYLE, lo_line_type);
   ObjectSet("MLo1_Line", OBJPROP_WIDTH, lo_width);

 if(ObjectFind("MLo1_Label") != 0)
  {
   ObjectCreate("MLo1_Label", OBJ_TEXT, 0, CurTime()+(240*60)*M_label_pos, MLo1);
   ObjectSetText("MLo1_Label", "M Low(opn<cls)", 6, "Arial", cmlo1);
  }
 else
  {
   ObjectMove("MLo1_Label", 0, CurTime()+(240*60)*M_label_pos, MLo1);
  }

//---------------------------------------------------------

   ObjectCreate("MLo2_Line", OBJ_TREND,0, mopen, MLo2, CurTime(),MLo2);
   ObjectSet("MLo2_Line", OBJPROP_COLOR, cmlo2);
   ObjectSet("MLo2_Line", OBJPROP_STYLE, lo_line_type);
   ObjectSet("MLo2_Line", OBJPROP_WIDTH, lo_width);
 if(ObjectFind("MLo2_Label") != 0)
  {
   ObjectCreate("MLo2_Label", OBJ_TEXT, 0, CurTime()+(240*60)*M_label_pos, MLo2);
   ObjectSetText("MLo2_Label", "M Low(opn>cls)", 6, "Arial", cmlo2);
  }
 else
  {
   ObjectMove("MLo2_Label", 0, CurTime()+(240*60)*M_label_pos, MLo2);
  }

//---------------------------------------------------------

   ObjectCreate("MLo3_Line", OBJ_TREND,0, mopen, MLo3, CurTime(),MLo3);
   ObjectSet("MLo3_Line", OBJPROP_COLOR, cmlo3);
   ObjectSet("MLo3_Line", OBJPROP_STYLE, lo_line_type);
   ObjectSet("MLo3_Line", OBJPROP_WIDTH, lo_width);
 if(ObjectFind("MLo3_Label") != 0)
  {
   ObjectCreate("MLo3_Label", OBJ_TEXT, 0, CurTime()+(240*60)*M_label_pos, MLo3);
   ObjectSetText("MLo3_Label", "M Low(opn=cls)", 6, "Arial", cmlo3);
  }
 else
  {
   ObjectMove("MLo3_Label", 0, CurTime()+(240*60)*M_label_pos, MLo3);
  }
 
//--------------------------------------------------------------------
  ObjectCreate("MFLo_Line", OBJ_TREND,0, mopen, MFLo, CurTime(),MFLo);
   ObjectSet("MFLo_Line", OBJPROP_COLOR, cmflo);
   ObjectSet("MFLo_Line", OBJPROP_STYLE, flo_line_type);
   ObjectSet("MFLo_Line", OBJPROP_WIDTH, flo_width);
 if(ObjectFind("MFLo_Label") != 0)
  {
   ObjectCreate("MFLo_Label", OBJ_TEXT, 0, CurTime()+(240*60)*M_label_pos, MFLo);
   ObjectSetText("MFLo_Label", "M FractionLow", 6, "Arial", cmflo);
  }
 else
  {
   ObjectMove("MFLo_Label", 0, CurTime()+(240*60)*M_label_pos, MFLo);
  }

//--------------------------------------------------------------

  ObjectCreate("MFHi_Line", OBJ_TREND,0, mopen, MFHi, CurTime(),MFHi);
   ObjectSet("MFHi_Line", OBJPROP_COLOR, cmfhi);
   ObjectSet("MFHi_Line", OBJPROP_STYLE, fhi_line_type);
   ObjectSet("MFHi_Line", OBJPROP_WIDTH, fhi_width);
 if(ObjectFind("MFHi_Label") != 0)
  {
   ObjectCreate("MFHi_Label", OBJ_TEXT, 0, CurTime()+(240*60)*M_label_pos, MFHi);
   ObjectSetText("MFHi_Label", "M FractionHigh", 6, "Arial", cmfhi);
  }
 else
  {
   ObjectMove("MFHi_Label", 0, CurTime()+(240*60)*M_label_pos, MFHi);
  }
}
}
//---------------------------------------------------------

ObjectsRedraw();

   return(0);
}   